Get journal entry
curl --request GET \
--url https://api.zenskar.com/accounting_new/journal_entry/{journal_entry_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/accounting_new/journal_entry/{journal_entry_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/accounting_new/journal_entry/{journal_entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"currency": "<string>",
"journal_lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits": 123,
"debits": 123,
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
{
"reference_tag_type": "<string>",
"reference_tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_tag_content": "<string>"
}
],
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_jurisdiction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revenue_contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revenue_contract_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"performance_obligation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_tags": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"posted_at": "2023-11-07T05:31:56Z",
"custom_data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Accounting
Get journal entry
Fetch a journal entry by its unique identifier for an organisation.
GET
/
accounting_new
/
journal_entry
/
{journal_entry_id}
Get journal entry
Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes